Show a channel delivery
GET /v1/runs/{runId}/channel-deliveries/{deliveryId} · SDK getChannelDelivery · CLI deployments channel-delivery show
Requires channels:read.
AuthorizationBearer <token>Opaque bearer credential scoped to one service account and tenant.
runId*string^[0-7][0-9A-HJKMNP-TV-Z]{25}$deliveryId*string^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project?stringRequired with a platform bearer JWT, where the three tenant headers select an environment the caller can access through active organization membership. Optional with an API key; when supplied, it must match the key's tenant.
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ChannelDeliveryResponse
application/json- response
createdAt*string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeupdatedAt*string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeversion*number|||environmentId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$organizationId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$projectId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$workspaceId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$attempts*number|||bindingId?string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$channel*string"imessage""rcs""slack""sms""teams""telegram"contentPreview*stringexternalThreadKey*stringfailedAt?string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timeid*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$lastError?stringobject*"channel-delivery""channel-delivery"provider*string"aws_end_user_messaging_rcs""slack_cloudflare_edge""slack_edge""teams_bot_framework""telegram"providerMessageId?stringrunId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$sentAt?string^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$date-timestatus*string"failed""queued""sending""sent"threadId*string^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$curl -X GET "https://example.com/v1/runs/string/channel-deliveries/string"{ "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "version": 0, "environmentId": "string", "organizationId": "string", "projectId": "string", "workspaceId": "string", "attempts": 0, "bindingId": "string", "channel": "imessage", "contentPreview": "string", "externalThreadKey": "string", "failedAt": "2019-08-24T14:15:22Z", "id": "string", "lastError": "string", "object": "channel-delivery", "provider": "aws_end_user_messaging_rcs", "providerMessageId": "string", "runId": "string", "sentAt": "2019-08-24T14:15:22Z", "status": "failed", "threadId": "string"}